/*
Plugin Name: Stats Display
Author: Kensai

Description
Shows a Constant HUD display of a player's Name, Kills, Deaths, and Headshots.
Stats are retrieved from the server's stats file. SO if the server saves stats by IP, these stats are shown by IP.
Steam ID, is probably the most reliable, due to dynamic IP's.

Changelog
v1.3 - Added a Kill Death Ratio
v1.2 - Added CVAR
v1.1 - Made HUD message longer, so longer names fit, abbreviated stats
v1.0 - First version
*/

#include <amxmodx>
#include <amxmisc>
#include <csstats>

#define HUD_INTERVAL 1.0

new msgtext 

public plugin_init() 
{
	register_plugin("Stats Display","1.3","Kensai")
	
	register_cvar("amx_display","1")
	msgtext = get_user_msgid("StatusText") 
}

public client_putinserver(id)
{	
	if(get_cvar_num("amx_display") == 0)
	return PLUGIN_HANDLED
	
	set_task(HUD_INTERVAL,"ShowHUD",id)
	return PLUGIN_CONTINUE
}

public ShowHUD(id)     
{  
	if(get_cvar_num("amx_display") == 0)
	return PLUGIN_HANDLED
	
	if(!is_user_connected(id))
		return 0;
	
	new stats[8]
	new hits[8]
	get_user_stats(id,stats,hits)	
	
	new name[33]
	get_user_name(id,name,32)
	
	new HUD[101] 
	
	format(HUD, 100, "%s [K: %i|D: %i|Hs: %i|KD Ratio: %i]",name,stats[0],stats[1],stats[2],stats[0]/stats[1])
	message_begin(MSG_ONE, msgtext, {0,0,0}, id)  
	write_byte(0)  
	write_string(HUD)  
	message_end()  
	
	set_task(HUD_INTERVAL,"ShowHUD",id);
	
	return PLUGIN_CONTINUE
}
